web3_clientVersion - Xlayer

Xlayer API - Returns the current client version.

Parameters

none


Returns

String - The current client version.


Example

Request

curl https://xlayer-mainnet.unifra.io/v1/your-api-key \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"web3_clientVersion","params":[],"id":0}'
URL: https://xlayer-mainnet.unifra.io/v1/your-api-key
RequestType: POST
Body:
{
  "jsonrpc":"2.0",
  "method":"web3_clientVersion",
  "params":[],
  "id":0
}

Result

{
  "jsonrpc": "2.0",
  "id": 0,
  "result": "cdk-erigon/v0.8.5.1/linux-amd64/go1.24.4"
}
Path Params
string
required
Body Params
string
required
Defaults to 2.0
string
enum
required
Defaults to web3_clientVersion
Allowed:
params
array of strings
required
length between 0 and 1

For web3_clientVersion: []; for web3_sha3: [dataHex].

params*
int32
required
Defaults to 0
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json